This is a live mirror of the Perl 5 development currently hosted at https://github.com/perl/perl5
perldelta: Convert warning to standard form
authorKarl Williamson <khw@cpan.org>
Tue, 23 May 2017 07:03:02 +0000 (01:03 -0600)
committerKarl Williamson <khw@cpan.org>
Tue, 23 May 2017 07:08:23 +0000 (01:08 -0600)
It turns out that this message isn't a generic one, but quite specific,
so convert to that and move to sorted position in list.

pod/perldelta.pod

index aecc529..9189305 100644 (file)
@@ -1562,12 +1562,6 @@ C<@INC> to avoid confusion.
 
 =item *
 
-Details as to the exact problem have been added to the diagnostics that
-occur when malformed UTF-8 is encountered when trying to convert to a
-code point.
-
-=item *
-
 L<Attribute "locked" is deprecated, and will disappear in Perl 5.28
 |perldiag/Attribute "locked" is deprecated, and will disappear in Perl 5.28>
 
@@ -1626,6 +1620,14 @@ L<C<$*> is no longer supported. Its use will be fatal in Perl 5.30
 
 =item *
 
+L<Malformed UTF-8 character%s
+|perldiag/Malformed UTF-8 character%s>
+
+Details as to the exact problem have been added at the end of this
+message
+
+=item *
+
 L<Opening dirhandle %s also as a file. This will be a fatal error in Perl 5.28
 |perldiag/Opening dirhandle %s also as a file. This will be a fatal error in Perl 5.28>